Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.omGraphics.grid
Class OMGridData.Boolean

    java.lang.Object
      com.bbn.openmap.omGraphics.grid.OMGridData
          com.bbn.openmap.omGraphics.grid.OMGridData.Boolean

All Implemented Interfaces:
  GridData, GridData.Boolean

Enclosing class:
  OMGridData

public static class OMGridData.Boolean
extends OMGridData
implements GridData.Boolean

Boolean is a GridData object that contains booleans.

Nested Class Summary

Nested classes inherited from class com.bbn.openmap.omGraphics.grid.OMGridData
`OMGridData.Boolean, OMGridData.Byte, OMGridData.Char, OMGridData.Double, OMGridData.Float, OMGridData.Int, OMGridData.Short`

Nested classes inherited from class com.bbn.openmap.omGraphics.grid.GridData
`GridData.Boolean, GridData.Byte, GridData.Char, GridData.Double, GridData.Float, GridData.Int, GridData.Short`

Field Summary
`protected boolean[][]` | `data`

Fields inherited from class com.bbn.openmap.omGraphics.grid.OMGridData
`major`

Constructor Summary
`OMGridData.Boolean(boolean[][] d)`

Method Summary
`java.lang.Object` | `get(int x, int y)`
`boolean` | `getBooleanValue(int x, int y)`
`boolean[][]` | `getData()`
`int` | `getNumColumns()`
`int` | `getNumRows()`
`void` | `setData(boolean[][] d)`

Methods inherited from class com.bbn.openmap.omGraphics.grid.OMGridData
`getMajor, setMajor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.omGraphics.grid.GridData
`getMajor, setMajor`

Field Detail

### data

    protected boolean[][] data

Constructor Detail

### OMGridData.Boolean

    public OMGridData.Boolean(boolean[][] d)

Method Detail

### setData

    public void setData(boolean[][] d)

### getData

    public boolean[][] getData()

  Specified by:
    `getData` in interface `GridData.Boolean`

### get

    public java.lang.Object get(int x,
                                int y)

  Specified by:
    `get` in interface `GridData`

### getBooleanValue

    public boolean getBooleanValue(int x,
                                   int y)

  Specified by:
    `getBooleanValue` in interface `GridData.Boolean`

### getNumColumns

    public int getNumColumns()

  Specified by:
    `getNumColumns` in interface `GridData`

### getNumRows

    public int getNumRows()

  Specified by:
    `getNumRows` in interface `GridData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details